PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP CAST

## Name

DROP CAST -- remove a cast

## Synopsis

    DROP CAST (sourcetype AS targettype) [ CASCADE | RESTRICT ]

## Description

`DROP CAST` removes a previously defined cast.

To be able to drop a cast, you must own the source or the target data type. These are the same privileges that are required to create a cast.

## Parameters

sourcetype

  The name of the source data type of the cast.

targettype

  The name of the target data type of the cast.

CASCADE
RESTRICT

  These key words do not have any effect, since there are no dependencies on casts.

## Examples

To drop the cast from type `text` to type `int`:

    DROP CAST (text AS int);

## Compatibility

The `DROP CAST` command conforms to the SQL standard.

## See Also

CREATE CAST

Prev | Home | Next
DROP AGGREGATE | Up | DROP CONVERSION